<template>
  <a-form :model="actModel" :label-col="labelCol" :wrapper-col="wrapperCol">
    <a-row :gutter="24">
          <a-col :lg="18">
              <a-row :gutter="24">
                  <a-col>
                      <a-form-item label="指标">
                          <JInput placeholder="请输入" v-model:value="actModel.metricName"></JInput>
                      </a-form-item>
                  </a-col>
              </a-row>
          </a-col>
          <a-col :span="6">
              <a-button style="width: 80%;height: 80%;line-height: 50%;" type="primary" @click="searchQuery">查询</a-button>
          </a-col>
      </a-row>
      <a-row :gutter="24">
          <a-col :span="24" :pull="1">
              <a-form-item label="查询结果">
                <BasicTable @register="registerTable" :rowSelection="rowSelection" @selection-change="handlerRowClick">
                    <!-- update-begin-author:taoyan date:2022-5-25 for: VUEN-1112一对多 用户选择 未显示选择条数，及清空 -->
                    <template #tableTitle></template>
                    <!-- update-end-author:taoyan date:2022-5-25 for: VUEN-1112一对多 用户选择 未显示选择条数，及清空 -->
                </BasicTable>
                    <!--改为table实现-->
                  <!--<a-list size="small" bordered :data-source="resultData" :pagination="pagination" style="height:200px;overflow-x: auto;">
                      <template #renderItem="{ item }">
                          <a-list-item>
                              <a-row :gutter="24" style="width:100%">
                                  <a-col :span="4"><a-button type="link">{{ item.caNo }}</a-button></a-col>
                                  <a-col :span="18"><a-button type="text">{{ item.caName }}</a-button></a-col>
                                  <a-col :span="2">
                                    <a-button type="text">
                                      <a-checkbox v-model:checked="checkBox[item.caNo]" @change="handlerChecked(item)"></a-checkbox>
                                    </a-button>
                                  </a-col>
                              </a-row>
                          </a-list-item>
                      </template>
                  </a-list>-->
              </a-form-item>
          </a-col>
      </a-row>
  </a-form>
</template>
<script setup>
import { reactive, ref, toRaw } from 'vue';
import { JInput } from '/@/components/Form';
import { BasicTable } from '/@/components/Table';
import { useListPage } from '/@/hooks/system/useListPage';
import { list } from '/@/views/standardlib/controlactivity/StMetric.api';
const props = defineProps({
    actCheckbox: {},
});
const columns = [
   {
    title: '指标编号',
    align:"left",
    dataIndex: 'metricNo'
   },
   {
    title: '指标名称',
    align:"left",
    dataIndex: 'metricName'
   },
];
const { prefixCls,tableContext,onExportXls,onImportXls } = useListPage({
      tableProps:{
           title: '选择指标',
           api: list,
           columns,
           canResize:false,
           useSearchForm: false,
           scroll: { x: false },
           actionColumn: {ifShow: false},
           clickToRowSelect: true,
           rowSelection: { 
                onSelect: handlerChecked,
            },
        //    actionColumn: {
        //        width: 160
        //     },
            showTableSetting: false,
            beforeFetch(params) {
              params = Object.assign(params,{ column: 'updatedTime', order: 'desc' })
            },
      },
  })
  const [registerTable, {setProps,reload},{ rowSelection, selectedRowKeys }] = tableContext

  //const checkBox = ref({})
//   function handlerChange(selectedRowKeys, selectedRows){
//     //console.log(selectedRowKeys)
//     if(selectedRowKeys.length==0){
//         Object.assign(props.actinfo,{caNo:'',caName:''})
//     }
//   }
  function handlerChecked(record, selected, selectedRows, nativeEvent){
     console.log(record)
    // console.log(selected)
    // console.log(selectedRows)
    // console.log(nativeEvent)
    if(selected){
        let item = {}
        item[record.metricNo] = true
        Object.assign(props.actCheckbox,item)
    }else{
        let item = {}
        item[record.metricNo] = false
        Object.assign(props.actCheckbox,item)
    }
  }
  function handlerRowClick({keys,rows}){
    console.log("===")
    console.log(keys)
    console.log(props.actCheckbox)
    for(let k in props.actCheckbox){
        props.actCheckbox[k] = false
    }
    console.log(props.actCheckbox)
    let len = keys.length
    if(len>0){
        let item = {}
        for(let i=0;i<keys.length;i++){
            item[rows[i].metricNo] = true
        }
        Object.assign(props.actCheckbox,item)
    }
    console.log(props.actCheckbox)
  }
const actModel = ref({
    metricName:''
})
const labelCol = reactive({
      xs: {span: 24},
      sm: {span: 4},
  })
const wrapperCol = reactive({
    xs: {span: 24},
    sm: {span: 20},
})
// const pagination = reactive({
//     current: 1,
//     pageSize: 10,
//     total: 0,
//     showTotal: total => `共 ${total} 条数据`
// })
function searchQuery(){
    setProps({searchInfo:toRaw(actModel)});
    reload()
}
// function initActCheckbox(){
//     props.actCheckbox.value = {}
// }
// defineExpose({initActCheckbox})
</script>